Subject: Re: B20: Kaffe configure script locking on NT 4.0.
From: [email-masked] (Stipe Tolj)

19 Nov 1998 09:08:24 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

> The configure script in Kaffe's source tree seems to be causing the Cygwin
> (b20) tools no end of grief on my Windows NT 4.0 workstation.  Basically,
> the script starts running and producing the expected output ("checking for
> foobie... yes" "checking for bletch... no"), but at random points the script
> just stops executing.  BASH (in the form of /bin/sh.exe) sits there and
> sucks up 100% of the CPU time, but nothing gets executed.  Control-C
> processing doesn't work, but the console window can be terminated.
>
> The problem is partially deterministic.  I can replicate it 100% of the time
> -- I've never had the configuration script successfully run to completion.
> It breaks at different points, however, with each run.  Sometimes it stops
> very early in the process (seemingly before it even gets the chance to
> execute the first sub-script), sometimes it stops after processing
> seemingly hundreds of checks.  It never actually finishes, however.
>
> Can somebody please give me an idea of a) what the problem could be and b)
> what I can do to work around it?  (Please CC my personal address on any
> replies.)

if it is a autoconf generated script your should have a look to config.log at
the top directory. This may give more conclussions what is happening.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".